Bug 1273405 - Cinder snapshot id doesn't appear under "disk snapshot ID" tab after creating a snapshot
Cinder snapshot id doesn't appear under "disk snapshot ID" tab after creating...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Daniel Erez
Eyal Shenitzky
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 07:47 EDT by Eyal Shenitzky
Modified: 2016-02-10 11:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:29:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47620 master MERGED webadmin: display Disk Snapshot ID on cinder domains Never
oVirt gerrit 47634 ovirt-engine-3.6 MERGED webadmin: display Disk Snapshot ID on cinder domains Never

  None (edit)
Description Eyal Shenitzky 2015-10-20 07:47:02 EDT
Description of problem:

After creating cinder snapshot for vm the snapshot ID isn't appear under the 
"disk snapshot ID" tab.



    [root@ogofen-cinder ~(keystone_admin)]# cinder snapshot-list
    +--------------------------------------+--------------------------------------+-----------+--------------+------+
    |                  ID                  |              Volume ID               |   Status  | Display Name | Size |
    +--------------------------------------+--------------------------------------+-----------+--------------+------+
    | 7b514043-e87c-4d68-95dd-fc4206207545 | 553d2080-a6ef-4ea5-8d70-3c43d5bad25c | available |     None     |  5   |
    +--------------------------------------+--------------------------------------+-----------+--------------+------+



Version-Release number of selected component (if applicable):
engine-version: 
3.6.0-0.18.el6
How reproducible:
100%

Steps to Reproduce:
1.Create vm with cinder disk
2.Create snapshot for the vm


Actual results:
Snapshot created but the ID isn't appear on the web admin

Expected results:
Snapshot ID should appear on the web admin under "disk snapshot ID" tab.

Additional info:
Comment 1 Yaniv Lavi (Dary) 2015-10-29 08:47:31 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 2 Eyal Shenitzky 2015-12-20 07:44:08 EST
Verified with the following code:
------------------------------------------

vdsm-vdsm-4.17.13-1.el7ev.noarch
rhevm-3.6.1.3-0.1.el6

Verified with the following scenario:
------------------------------------------
Steps to reproduce:
------------------------------------------
1.Create vm with cinder disk
2.Create snapshot for the vm

Disk snapshot ID does appears.

Moving to VERIFIED!
Comment 3 Sandro Bonazzola 2015-12-22 08:29:16 EST
oVirt 3.6.1 has been released and bz verified, moving to closed current release

Note You need to log in before you can comment on or make changes to this bug.